
/* Styles du menu pour mobile */
@media screen and (max-width: 850px) {

    header {
        height: auto;
    }

    .navbar {
        display: none; /* Masquer par défaut */
        flex-direction: column;
        width: 100%;
        background-color: var(--blue-header);
        position: absolute;
        top: 60px;
        left: 0;
        text-align: center;
        padding: 20px 0;
        height: 100vh; /* Prend toute la hauteur de l'écran */
    }

    #check:checked ~ .navbar {
        display: flex; /* Affiche le menu quand le bouton est coché */
    }

    .menu{
        flex-direction: column;
        align-items: center;
    }

    .navbar ul {
        flex-direction: column;
        align-items: center;
        width: 100%;
        padding: 0;
        gap: 15px;
    }

    .menu li {
        padding: 10px;
    }

    .menu a {
        display: block;
        width: 100%;
        padding: 10px;
        font-size: 18px;
        color: white;
        text-decoration: none;
    }

    .menu a:hover {
        background-color: var(--pink-flash);
    }
}


@media screen and (max-width: 768px) {
    .checkbtn {
        display: block; /* Afficher le bouton sur mobile */
    }

    .menu {
        display: none; /* Cacher le menu par défaut */
        flex-direction: column;
        position: absolute;
        top: 60px;
        left: 0;
        width: 100%;
        background: var(--blue-header);
    }

    #check:checked ~ .menu {
        display: flex; /* Afficher le menu lorsqu'on coche */
    }
}



/* Ajustements généraux pour mobile */
@media screen and (max-width: 768px) {
    section {
        padding: 20px;
    }

    .Accueil, .VT, .realisation {
        padding: 80px 20px;
    }

    .text-accueil p {
        font-size: 22px;
    }

    .liste {
        flex-direction: column;
        align-items: center;
    }

    .element-realisation {
        width: 90%;
        text-align: center;
    }

    .element-VT img {
        width: 100%;
        height: auto;
    }

    .popup-content {
        width: 90%;
    }
}

/* Ajustements pour très petits écrans (moins de 480px) */
@media screen and (max-width: 480px) {
    .logo {
        font-size: 18px;
    }

    .checkbtn {
        font-size: 24px;
    }

    .text-accueil p {
        font-size: 18px;
    }

    .element-realisation {
        padding: 15px;
    }

    .title_element-realisation {
        font-size: 16px;
    }
}




